Env

scons编译出现警告信息

发布于 2016-10-27 11:51:06
如下是我的MDK版本:5.15.0 armcc:v5.05
使用scons命令是出现以下警告“Warning:C3912W:Option 'device' is deprecated”.
基本上编译么个文件都会出现这个警告,请问有遇到或者知道这个问题的朋友帮下忙 在这里先谢谢了
QQ截图20161027152926.png
113.png

查看更多

关注者
0
被浏览
3.5k
6 个回答
bernard
bernard 2016-10-27
rtconfig.py里的Device是老版本的参数,自己根据你现在版本的Keil MDK改下
elf2015
elf2015 2016-10-27
是修改 DEVICE= ' --device DARMSTM' 这个参数吗?
elf2015
elf2015 2016-10-27
QQ截图20161027152926.png
把DEVICE 修改成Cortex-M3就不会出现option device is deprecated的警告的。 不知道这样修改正不正确
下面是修改后编译的情况:
113.png
bernard
bernard 2016-10-27
可以的。所以有的时候,可以通过更改rtconfig.py来适配新版本的Keil MDK。

撰写答案

请登录后再发布答案,点击登录

发布
问题

分享
好友